Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.common
Class SchemaManagerWrapper

    java.lang.Object
      oracle.ifs.utils.common.SchemaManagerWrapper

    public class SchemaManagerWrapper

extends java.lang.Object

SchemaManagerWrapper is a wrapper class for iAS repository API class oracle.ias.repository.SchemaManager. This class delegates all method calls to SchemaManager class using reflection API.

Constructor Summary
`SchemaManagerWrapper()`

Method Summary
`static void` | `addInstanceAccessToOIDEntry(java.lang.String oidUser, java.lang.String oidPassword, java.lang.String applicationEntityDN)`
`static javax.naming.directory.InitialDirContext` | `connectAs(java.lang.String connectDN)`
`static javax.naming.directory.InitialDirContext` | `connectAs(java.lang.String connectDN, boolean ssl)`
`static javax.naming.directory.InitialDirContext` | `connectAs(java.lang.String oracleHome, java.lang.String connectDN, boolean ssl)`
`static void` | `deleteOIDEntry(java.lang.String oidUser, java.lang.String oidPassword, java.lang.String applicationEntityDN)` Delete the specified application entity entry in OID.
`static java.lang.String` | `getInstanceName()`
`static java.lang.String` | `getInstanceName(java.lang.String oracleHome)`
`static java.lang.String` | `getOIDConnect(boolean sslEnabled)`
`static boolean` | `getSSLEnabled()`
`static void` | `makeNewOIDEntry(java.lang.String oidUser, java.lang.String oidPassword, java.lang.String applicationEntityDN, java.util.Hashtable attributes, java.lang.String[] userPrivilege)`
`static void` | `removeInstanceAccessInOIDEntry(java.lang.String oidUser, java.lang.String oidPassword, java.lang.String applicationEntityDN)` Delete the IAS instance access in application entity entry in OID.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaManagerWrapper

    public SchemaManagerWrapper()

Method Detail

### getSSLEnabled

    public static boolean getSSLEnabled()
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getOIDConnect

    public static java.lang.String getOIDConnect(boolean sslEnabled)
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getInstanceName

    public static java.lang.String getInstanceName()
                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getInstanceName

    public static java.lang.String getInstanceName(java.lang.String oracleHome)
                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### makeNewOIDEntry

    public static void makeNewOIDEntry(java.lang.String oidUser,
                                       java.lang.String oidPassword,
                                       java.lang.String applicationEntityDN,
                                       java.util.Hashtable attributes,
                                       java.lang.String[] userPrivilege)
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### deleteOIDEntry

    public static void deleteOIDEntry(java.lang.String oidUser,
                                      java.lang.String oidPassword,
                                      java.lang.String applicationEntityDN)
                               throws java.lang.Exception

  Description copied from class: `SchemaManagerWrapper`
  Delete the specified application entity entry in OID.

  Parameters:
    `oidUser` - the OID user name
    `oidPassword` - the OID user password
    `applicationEntityDN` - the application entity DN to be deleted
  Throws:
    `IfsException` - if the operation otherwise fails
    `java.lang.Exception`

### removeInstanceAccessInOIDEntry

    public static void removeInstanceAccessInOIDEntry(java.lang.String oidUser,
                                                      java.lang.String oidPassword,
                                                      java.lang.String applicationEntityDN)
                                               throws java.lang.Exception

  Description copied from class: `SchemaManagerWrapper`
  Delete the IAS instance access in application entity entry in OID.

  Parameters:
    `oidUser` - the OID user name
    `oidPassword` - the OID user password
    `applicationEntityDN` - the specified application entity DN, which the IAS instance is associated.
  Throws:
    `IfsException` - if the operation otherwise fails
    `java.lang.Exception`

### connectAs

    public static javax.naming.directory.InitialDirContext connectAs(java.lang.String connectDN)
                                                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### connectAs

    public static javax.naming.directory.InitialDirContext connectAs(java.lang.String connectDN,
                                                                     boolean ssl)
                                                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### connectAs

    public static javax.naming.directory.InitialDirContext connectAs(java.lang.String oracleHome,
                                                                     java.lang.String connectDN,
                                                                     boolean ssl)
                                                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addInstanceAccessToOIDEntry

    public static void addInstanceAccessToOIDEntry(java.lang.String oidUser,
                                                   java.lang.String oidPassword,
                                                   java.lang.String applicationEntityDN)
                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD